Subject: Re: bug#44583: 25.3; Emacs aborts with fatal error when a keyboard macro (saved in init.el) is set to run automatically at Emacs startup (Windows 10)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Nov 2020 20:01:51 +0200

[Please use Reply All to keep the bug tracker on the CC list.]

> From: Akshay C <[email-masked]>
> Date: Thu, 12 Nov 2020 23:24:18 +0530
> 
> Thank you for your response. Some text editors allow users to close the editor without saving the buffer to a
> file. The next time they open the editor, the buffer is still open. I wanted to achieve this in Emacs. So I wanted
> Emacs to automatically open "notes" at startup with the remember-notes function, then run recover-this-file
> function to recover any autosave data that I hadn't saved to disk, then enter "yes" at the minibuffer prompt. I
> am not good at elisp, so I recorded a keyboard macro to do the job.

Yes, but when you start Emacs as a daemon, there's no minibuffer to
prompt in, because there's no frame to display.

> I have attached emacs_backtrace.txt to
> this mail.

Thanks.  I've fixed the crash for the upcoming Emacs 27.2, in a way
that will use the console to display the messages when there's no
frame.

So I'm therefore closing this bug report.